4Suite™ API Documentation

# ► Module Ft.Server.Common.ValidationInfo

(description needed)
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: DtdValidationInfo, NoValidation, SchematronValidationInfo, ValidationInfo, ValidationType |  |  |  | Functions: Serialize |  |  |  | Fields: FTSERVER_NAMESPACE

## Classes

class DtdValidationInfo(ValidationInfo)
Validation information from a DTD

### Methods

__init__(self, dRef)
validate(self, repo, src, path)

class NoValidation(ValidationInfo)

### Methods

__init__(self)
validate(self, repo, src, path)

class SchematronValidationInfo(ValidationInfo)
Validation information for a schematron

### Methods

__init__(self, dRef)
validate(self, repo, src, path)

class ValidationInfo
Base class for validation information

### Methods

__init__(self, vType)

class ValidationType

### Fields

DTD = 3
NONE = 1
SCHEMATRON = 2

## Functions

Serialize(v)
Serialize validation info

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'